import { Typography, Position } from '../../types';
import { SET_DIMENSION, SET_VALUE, SET_DRAG_POSITION, SET_DRAG_MOVING, SET_DRAG_STATE } from './constants';
import { TooltipMode } from '../tooltip';
export declare type Interval = {
    minimum: number;
    maximum: number;
    step: number;
};
export declare type DragConstraints = {
    top: number;
    left: number;
    right: number;
    bottom: number;
};
export declare type RailSettings = {
    size: number;
    borderRadius: number;
};
export declare type ControlSettings = {
    size: number;
    backgroundColor: string;
    borderColor: string;
};
export declare type TooltipSettings = {
    enabled: boolean;
    position: Position;
    typography?: Typography;
    theme?: TooltipMode;
};
interface SetControlPositionAction {
    type: typeof SET_DRAG_POSITION;
    payload: {
        id: string;
        position: number;
    };
}
interface SetControlDragAction {
    type: typeof SET_DRAG_MOVING;
    payload: {
        id: string;
        moving: boolean;
    };
}
interface SetControlState {
    type: typeof SET_DRAG_STATE;
    payload: {
        id: string;
        active: boolean;
    };
}
interface SetDimensionAction {
    type: typeof SET_DIMENSION;
    payload: {
        dimension: number;
    };
}
interface SetValueAction {
    type: typeof SET_VALUE;
    payload: {
        value: number | [number, number];
    };
}
export declare type SliderActions = SetDimensionAction | SetValueAction | SetControlState | SetControlPositionAction | SetControlDragAction;
export {};
