import React from 'react';
import { Position, Typography } from '../../types';
export declare type TooltipMode = 'light' | 'dark';
declare type Props = Partial<Typography> & {
    children: React.ReactNode | string;
    mode?: TooltipMode;
    backgroundColor?: string;
    borderRadius?: string;
    fontFamily?: string;
    fontSize?: number;
    fontColor?: string;
    hasShadow?: boolean;
    hasArrow?: boolean;
    hasSpacing?: boolean;
    arrowDirection?: Position;
    arrowTop?: string;
    lineHeight?: string;
};
export declare const ARROW_SIZE = 4;
declare const Tooltip: {
    ({ children, mode, arrowDirection, ...props }: Props): JSX.Element;
    defaultProps: {
        backgroundColor: string;
        fontColor: string;
        fontSize: number;
        fontFamily: string;
        mode: string;
        borderRadius: string;
        hasShadow: boolean;
        hasArrow: boolean;
        hasSpacing: boolean;
        arrowDirection: string;
        lineHeight: string;
    };
};
export default Tooltip;
