export declare type Typography = {
    fontStyle: 'normal' | 'italic';
    fontWeight: 'normal' | 'bold' | 'lighter';
    fontSize: number;
    fontColor: string;
    fontFamily?: string;
    lineHeight?: string;
};
export declare type Position = 'top' | 'bottom' | 'left' | 'right';
export declare type Alignment = 'left' | 'center' | 'right';
export declare type Layout = 'vertical' | 'horizontal';
export declare type ColorMode = 'discrete' | 'continuous';
export declare type RangeType = {
    min?: number;
    max?: number;
};
export declare type SortMode = 'ascending' | 'descending';
export declare type SortByType = {
    property: string;
    sort: SortMode;
};
export declare type TextVariant = 'h1' | 'h2' | 'h3' | 'h4' | 'h5' | 'h6' | 'body-normal' | 'body-bold' | 'number-xl' | 'number-l' | 'number-m' | 'number-s';
export declare type ButtonVariant = 'primary' | 'secondary' | 'success' | 'danger' | 'blank';
export declare type RadioItem = {
    id: string;
    label: string;
    value: string | number;
};
